Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class ConnectionStateHolder

    java.lang.Object
      com.nortel.soa.oi.cct.types.ConnectionStateHolder

    public class ConnectionStateHolder

extends java.lang.Object

Java class for connectionStateHolder complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="connectionStateHolder">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="state" type="{http://www.nortel.com/soa/oi/cct/types}connectionState"/>
             <element name="entranceTime" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="reasonCode" type="{http://www.nortel.com/soa/oi/cct/types}reason"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`ConnectionStateHolder()`

Method Summary
`long` | `getEntranceTime()` Gets the value of the entranceTime property.
`Reason` | `getReasonCode()` Gets the value of the reasonCode property.
`ConnectionState` | `getState()` Gets the value of the state property.
`void` | `setEntranceTime(long value)` Sets the value of the entranceTime property.
`void` | `setReasonCode(Reason value)` Sets the value of the reasonCode property.
`void` | `setState(ConnectionState value)` Sets the value of the state property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionStateHolder

    public ConnectionStateHolder()

Method Detail

### getState

    public ConnectionState getState()

  Gets the value of the state property.

  Returns:
    possible object is `ConnectionState`

### setState

    public void setState(ConnectionState value)

  Sets the value of the state property.

  Parameters:
    `value` - allowed object is `ConnectionState`

### getEntranceTime

    public long getEntranceTime()

  Gets the value of the entranceTime property.

### setEntranceTime

    public void setEntranceTime(long value)

  Sets the value of the entranceTime property.

### getReasonCode

    public Reason getReasonCode()

  Gets the value of the reasonCode property.

  Returns:
    possible object is `Reason`

### setReasonCode

    public void setReasonCode(Reason value)

  Sets the value of the reasonCode property.

  Parameters:
    `value` - allowed object is `Reason`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.